<?xml version="1.0" encoding="UTF-8"?>
<LABCConfig>
    <lightSensorRateMills>300</lightSensorRateMills>
    <BrighenDebounceTime>650</BrighenDebounceTime>
    <DarkenDebounceTime>1000</DarkenDebounceTime>
    <BrightenDebounceTimeParaBig>0.0</BrightenDebounceTimeParaBig>
    <DarkenDebounceTimeParaBig>0.0</DarkenDebounceTimeParaBig>
    <BrightenDeltaLuxPara>0.0</BrightenDeltaLuxPara>
    <DarkenDeltaLuxPara>0.0</DarkenDeltaLuxPara>
    <StabilityConstant>5</StabilityConstant>
    <StabilityTime1>20</StabilityTime1>
    <StabilityTime2>10</StabilityTime2>
    <BrighenDebounceTimeForSmallThr>5000</BrighenDebounceTimeForSmallThr>
    <DarkenDebounceTimeForSmallThr>21000</DarkenDebounceTimeForSmallThr>
    <RatioForBrightnenSmallThr>0.6</RatioForBrightnenSmallThr>
    <RatioForDarkenSmallThr>10.0</RatioForDarkenSmallThr>
    <RebootAutoModeEnable>true</RebootAutoModeEnable>
    <DarkTimeDelayEnable>true</DarkTimeDelayEnable>
    <DarkTimeDelay>5000</DarkTimeDelay>
    <DarkTimeDelayLuxThreshold>10</DarkTimeDelayLuxThreshold>
    <CoverModeFirstLux>2210</CoverModeFirstLux>
    <LastCloseScreenEnable>false</LastCloseScreenEnable>
    <CoverModeBrightenResponseTime>500</CoverModeBrightenResponseTime>
    <CoverModeDarkenResponseTime>500</CoverModeDarkenResponseTime>
    <CoverModeDayEnable>true</CoverModeDayEnable>
    <CoverModeDayBrightness>154</CoverModeDayBrightness>
    <ConverModeDayBeginTime>6</ConverModeDayBeginTime>
    <CoverModeDayEndTime>18</CoverModeDayEndTime>
    <CoverModelastCloseScreenEnable>true</CoverModelastCloseScreenEnable>
    <PostMaxMinAvgFilterNoFilterNum>7</PostMaxMinAvgFilterNoFilterNum>
    <PostMaxMinAvgFilterNum>5</PostMaxMinAvgFilterNum>
    <PreWeightedMeanFilterNoFilterNum>7</PreWeightedMeanFilterNoFilterNum>
    <PreWeightedMeanFilterNum>3</PreWeightedMeanFilterNum>
    <PreWeightedMeanFilterMaxFuncLuxNum>3</PreWeightedMeanFilterMaxFuncLuxNum>
    <PreWeightedMeanFilterAlpha>0.5</PreWeightedMeanFilterAlpha>
    <PreWeightedMeanFilterLuxTh>20</PreWeightedMeanFilterLuxTh>
    <LongTimeFilterEnable>true</LongTimeFilterEnable>
    <LongTimeNoFilterNum>7</LongTimeNoFilterNum>
    <LongTimeFilterNum>5</LongTimeFilterNum>
    <LongTimeFilterLuxTh>300</LongTimeFilterLuxTh>
    <LuxRoundEnable>false</LuxRoundEnable>
    <AmbientLuxMinRound>2.1</AmbientLuxMinRound>
    <LuxThNoResponseForSmallThr>2.1</LuxThNoResponseForSmallThr>
    <DarkTimeDelayBeta0>0</DarkTimeDelayBeta0>
    <DarkTimeDelayBeta1>1.0</DarkTimeDelayBeta1>
    <DarkTimeDelayBeta2>0.333</DarkTimeDelayBeta2>
    <PowerOnFastResponseLuxNum>9</PowerOnFastResponseLuxNum>
    <PowerOnFastResponseTime>2500</PowerOnFastResponseTime>
    <HomeModeEnable>true</HomeModeEnable>
    <HomeModeDayBeginTime>7</HomeModeDayBeginTime>
    <HomeModeDayEndTime>21</HomeModeDayEndTime>
    <HomeModeSwitchTime>0</HomeModeSwitchTime>
    <KeyguardModeEnable>true</KeyguardModeEnable>
    <KeyguardResponseBrightenTime>0</KeyguardResponseBrightenTime>
    <KeyguardResponseDarkenTime>-1</KeyguardResponseDarkenTime>
    <KeyguardAnimationBrightenTime>0.5</KeyguardAnimationBrightenTime>
    <KeyguardAnimationDarkenTime>-1</KeyguardAnimationDarkenTime>
    <KeyguardLuxThreshold>5</KeyguardLuxThreshold>
    <OutdoorLowerLuxThreshold>1000</OutdoorLowerLuxThreshold>
    <OutdoorAnimationBrightenTime>1.5</OutdoorAnimationBrightenTime>
    <OutdoorAnimationDarkenTime>-1</OutdoorAnimationDarkenTime>
    <OutdoorResponseBrightenRatio>0.7</OutdoorResponseBrightenRatio>
    <OutdoorResponseDarkenRatio>-1</OutdoorResponseDarkenRatio>
    <OutdoorResponseBrightenTime>650</OutdoorResponseBrightenTime>
    <OutdoorResponseDarkenTime>-1</OutdoorResponseDarkenTime>
    <OutdoorResponseCount>5</OutdoorResponseCount>
    <ProximityLuxThreshold>5</ProximityLuxThreshold>
    <ProximityResponseBrightenTime>15000</ProximityResponseBrightenTime>
    <InitDoubleSensorInterfere>8.0f</InitDoubleSensorInterfere>
    <InitNumLastBuffer>10</InitNumLastBuffer>
    <InitValidCloseTime>-1</InitValidCloseTime>
    <InitUpperLuxThreshold>20</InitUpperLuxThreshold>
    <InitSigmoidFuncSlope>0.75f</InitSigmoidFuncSlope>
    <InitSlowReponseUpperLuxThreshold>10</InitSlowReponseUpperLuxThreshold>
    <InitSlowReponseBrightTime>1000</InitSlowReponseBrightTime>
    <ManualAnimationBrightenTime>1.0</ManualAnimationBrightenTime>
    <ManualAnimationDarkenTime>4.0</ManualAnimationDarkenTime>
    <ManualPowerSavingBrighnessLineEnable>false</ManualPowerSavingBrighnessLineEnable>
    <ManualPowerSavingAnimationBrightenTime>10.0</ManualPowerSavingAnimationBrightenTime>
    <ManualPowerSavingAnimationDarkenTime>20.0</ManualPowerSavingAnimationDarkenTime>
    <ManualThermalModeAnimationBrightenTime>3.0</ManualThermalModeAnimationBrightenTime>
    <ManualThermalModeAnimationDarkenTime>4.0</ManualThermalModeAnimationDarkenTime>
    <ManualPowerSavingBrighnessLineDisableForDemo>true</ManualPowerSavingBrighnessLineDisableForDemo>
    <AutoPowerSavingBrighnessLineDisableForDemo>true</AutoPowerSavingBrighnessLineDisableForDemo>
    <ThermalModeBrightnessMappingEnable>false</ThermalModeBrightnessMappingEnable>
    <PgModeBrightnessMappingEnable>false</PgModeBrightnessMappingEnable>
    <NightUpModeEnable>true</NightUpModeEnable>
    <NightUpModeSwitchTimeMillis>600000</NightUpModeSwitchTimeMillis>
    <NightUpModeBeginHourTime>0</NightUpModeBeginHourTime>
    <NightUpModeEndHourTime>7</NightUpModeEndHourTime>
    <NightUpModeLuxThreshold>1</NightUpModeLuxThreshold>
    <NightUpModePowOnDimTime>3</NightUpModePowOnDimTime>
    <DayModeAlgoEnable>true</DayModeAlgoEnable>
    <DayModeSwitchTime>5</DayModeSwitchTime>
    <DayModeBeginTime>7</DayModeBeginTime>
    <DayModeEndTime>23</DayModeEndTime>
    <DayModeModifyNumPoint>2</DayModeModifyNumPoint>
    <DayModeModifyMinBrightness>5</DayModeModifyMinBrightness>
    <DayModeDarkenMinLux>1</DayModeDarkenMinLux>
    <OffsetResetSwitchTime>30</OffsetResetSwitchTime>
    <OffsetResetSwitchTimeForDarkMode>6</OffsetResetSwitchTimeForDarkMode>
    <OffsetResetEnable>true</OffsetResetEnable>
    <OffsetResetShortSwitchTime>6</OffsetResetShortSwitchTime>
    <OffsetResetShortLuxDelta>20</OffsetResetShortLuxDelta>
    <OffsetBrightenDebounceTime>1000</OffsetBrightenDebounceTime>
    <OffsetDarkenDebounceTime>1000</OffsetDarkenDebounceTime>
    <OffsetValidAmbientLuxEnable>true</OffsetValidAmbientLuxEnable>
    <AutoModeInOutDoorLimitEnble>true</AutoModeInOutDoorLimitEnble>
    <IsAutoModeSeekBarMaxBrightnessBasedLux>true</IsAutoModeSeekBarMaxBrightnessBasedLux>
    <AutoModeSeekBarMaxBrightnessLuxTh>2000</AutoModeSeekBarMaxBrightnessLuxTh>
    <AutoModeSeekBarMaxBrightnessValue>255</AutoModeSeekBarMaxBrightnessValue>
    <RebootFirstBrightnessAnimationEnable>false</RebootFirstBrightnessAnimationEnable>
    <RebootFirstBrightness>8824</RebootFirstBrightness>
    <RebootFirstBrightnessAutoTime>3</RebootFirstBrightnessAutoTime>
    <RebootFirstBrightnessManualTime>3</RebootFirstBrightnessManualTime>
    <DarkLightLevelMinThreshold>0</DarkLightLevelMinThreshold>
    <DarkLightLevelMaxThreshold>16</DarkLightLevelMaxThreshold>
    <DarkLightLevelRatio>1.0</DarkLightLevelRatio>
    <OminLevelModeEnable>false</OminLevelModeEnable>
    <OminLevelOffsetCountEnable>false</OminLevelOffsetCountEnable>
    <OminLevelDayModeEnable>true</OminLevelDayModeEnable>
    <OminLevelCountValidLuxTh>5</OminLevelCountValidLuxTh>
    <OminLevelCountValidTimeTh>120</OminLevelCountValidTimeTh>
    <OminLevelCountResetLongTimeTh>20160</OminLevelCountResetLongTimeTh>
    <EyeProtectionSplineEnable>false</EyeProtectionSplineEnable>
    <MonitorEnable>true</MonitorEnable>
    <GameModeEnable>true</GameModeEnable>
    <GameModeBrightenAnimationTime>2.0</GameModeBrightenAnimationTime>
    <GameModeDarkentenAnimationTime>3.0</GameModeDarkentenAnimationTime>
    <GameModeDarkentenLongAnimationTime>5.0</GameModeDarkentenLongAnimationTime>
    <GameModeDarkentenLongTarget>236</GameModeDarkentenLongTarget>
    <GameModeDarkentenLongCurrent>0</GameModeDarkentenLongCurrent>
    <GameModeClearOffsetTime>1800000</GameModeClearOffsetTime>
    <GameModeBrightenDebounceTime>1000</GameModeBrightenDebounceTime>
    <GameModeDarkenDebounceTime>10000</GameModeDarkenDebounceTime>
    <GameModeLuxThresholdEnable>true</GameModeLuxThresholdEnable>
    <IsLandscapeGameModeEnable>true</IsLandscapeGameModeEnable>
    <LandscapeGameModeEnterDelayTime>300</LandscapeGameModeEnterDelayTime>
    <LandscapeGameModeQuitDelayTime>600</LandscapeGameModeQuitDelayTime>
    <LandscapeGameModeBrightenDebounceTime>1000</LandscapeGameModeBrightenDebounceTime>
    <LandscapeGameModeDarkenDebounceTime>10000</LandscapeGameModeDarkenDebounceTime>
    <IsLandscapeGameModeLuxThresholdEnable>true</IsLandscapeGameModeLuxThresholdEnable>
    <BrightenLinePointsForLandscapeGameMode>
        <Point>0,2</Point>
        <Point>5,5</Point>
        <Point>10,19</Point>
        <Point>20,50</Point>
        <Point>30,100</Point>
        <Point>100,200</Point>
        <Point>500,500</Point>
        <Point>1000,989</Point>
        <Point>3000,1000</Point>
        <Point>4000,2000</Point>
        <Point>10000,2000</Point>
        <Point>20000,2000</Point>
        <Point>30000,2000</Point>
        <Point>40000,2000</Point>
        <Point>70000,2000</Point>
    </BrightenLinePointsForLandscapeGameMode>
    <DarkenLinePointsForLandscapeGameMode>
        <Point>0,1</Point>
        <Point>1,1</Point>
        <Point>10,10</Point>
        <Point>20,18</Point>
        <Point>50,45</Point>
        <Point>100,90</Point>
        <Point>200,190</Point>
        <Point>300,280</Point>
        <Point>500,470</Point>
        <Point>12000,11970</Point>
        <Point>40000,39970</Point>
        <Point>70000,69970</Point>
    </DarkenLinePointsForLandscapeGameMode>
    <VideoFullScreenModeEnable>true</VideoFullScreenModeEnable>
    <SceneProcessing>
        <SceneMaxPoints>0</SceneMaxPoints>
        <SceneGapPoints>29</SceneGapPoints>
        <SceneMinPoints>29</SceneMinPoints>
        <SceneAmbientLuxMaxWeight>0.5</SceneAmbientLuxMaxWeight>
        <SceneAmbientLuxMinWeight>0.5</SceneAmbientLuxMinWeight>
    </SceneProcessing>
    <PreProcessing>
        <BrightTimeDelayEnable>true</BrightTimeDelayEnable>
        <BrightTimeDelay>1300</BrightTimeDelay>
        <BrightTimeDelayLuxThreshold>30</BrightTimeDelayLuxThreshold>
        <PreMethodNum>2</PreMethodNum>
        <PreMeanFilterNoFilterNum>7</PreMeanFilterNoFilterNum>
        <PreMeanFilterNum>3</PreMeanFilterNum>
        <PostMethodNum>0</PostMethodNum>
        <PostMeanFilterNoFilterNum>7</PostMeanFilterNoFilterNum>
        <PostMeanFilterNum>3</PostMeanFilterNum>
    </PreProcessing>
    <BrightenlinePoints>
        <Point>0,2</Point>
        <Point>5,5</Point>
        <Point>10,19</Point>
        <Point>20,89</Point>
        <Point>30,200</Point>
        <Point>100,439</Point>
        <Point>500,739</Point>
        <Point>1000,989</Point>
        <Point>3000,1000</Point>
        <Point>4000,2000</Point>
        <Point>10000,2000</Point>
        <Point>20000,2000</Point>
        <Point>30000,2000</Point>
        <Point>40000,2000</Point>
        <Point>70000,2000</Point>
    </BrightenlinePoints>
    <DarkenlinePoints>
        <Point>0,1</Point>
        <Point>1,2</Point>
        <Point>2,2</Point>
        <Point>3,2</Point>
        <Point>4,3</Point>
        <Point>5,4</Point>
        <Point>6,5</Point>
        <Point>10,7</Point>
        <Point>20,15</Point>
        <Point>50,35</Point>
        <Point>100,80</Point>
        <Point>200,170</Point>
        <Point>300,225</Point>
        <Point>500,273</Point>
        <Point>600,322</Point>
        <Point>1200,600</Point>
        <Point>1800,600</Point>
        <Point>4000,2000</Point>
        <Point>8000,4000</Point>
        <Point>12000,6000</Point>
        <Point>20000,10000</Point>
        <Point>40000,30000</Point>
        <Point>70000,50000</Point>
    </DarkenlinePoints>
    <DefaultBrightness>100</DefaultBrightness>
    <BrightnessCalibrationEnabled>false</BrightnessCalibrationEnabled>
    <OffsetDarkenAlphaLeft>0</OffsetDarkenAlphaLeft>
    <OffsetBrightenRatioLeft>0.5</OffsetBrightenRatioLeft>
    <OffsetBrightenAlphaLeft>0</OffsetBrightenAlphaLeft>
    <PersonalizedBrightnessCurveEnable>true</PersonalizedBrightnessCurveEnable>
    <PersonalizedBrightnessCurveLoadEnable>false</PersonalizedBrightnessCurveLoadEnable>
    <DayModeMinimumBrightness>8</DayModeMinimumBrightness>
    <VehicleModeEnable>true</VehicleModeEnable>
    <VehicleModeBrighntess>11</VehicleModeBrighntess>
    <VehicleModeLuxThreshold>20</VehicleModeLuxThreshold>
    <VehicleModeDisableTimeMillis>10000</VehicleModeDisableTimeMillis>
    <VehicleModeQuitTimeForPowerOn>180</VehicleModeQuitTimeForPowerOn>
    <VehicleModeEnterTimeForPowerOn>180</VehicleModeEnterTimeForPowerOn>
    <IsWalkModeEnable>true</IsWalkModeEnable>
    <WalkModeMinLux>2</WalkModeMinLux>
    <DefaultBrightnessPoints>
        <Point>0,6</Point>
        <Point>1,10</Point>
        <Point>2,11</Point>
        <Point>3,13</Point>
        <Point>4,15</Point>
        <Point>5,16</Point>
        <Point>20,37</Point>
        <Point>50,44</Point>
        <Point>400,65</Point>
        <Point>1000,98</Point>
        <Point>2000,123</Point>
        <Point>5000,153</Point>
        <Point>10000,202</Point>
        <Point>40000,240</Point>
        <Point>70000,255</Point>
    </DefaultBrightnessPoints>
    <DayModeBrightnessPoints>
        <Point>0,8</Point>
        <Point>1,10</Point>
        <Point>2,11</Point>
        <Point>3,13</Point>
        <Point>4,15</Point>
        <Point>5,16</Point>
        <Point>20,37</Point>
        <Point>50,44</Point>
        <Point>400,65</Point>
        <Point>1000,98</Point>
        <Point>2000,123</Point>
        <Point>5000,153</Point>
        <Point>10000,202</Point>
        <Point>40000,240</Point>
        <Point>70000,255</Point>
    </DayModeBrightnessPoints>
    <CoverModeBrighnessLinePoints>
        <Point>0,10</Point>
        <Point>20,38</Point>
        <Point>50,46</Point>
        <Point>1000,98</Point>
        <Point>3000,192</Point>
        <Point>5000,205</Point>
        <Point>10000,217</Point>
        <Point>40000,240</Point>
        <Point>70000,255</Point>
    </CoverModeBrighnessLinePoints>
    <CameraBrightnessPoints>
        <Point>0,12</Point>
        <Point>20,44</Point>
        <Point>400,77</Point>
        <Point>1000,112</Point>
        <Point>2000,123</Point>
        <Point>5000,153</Point>
        <Point>10000,202</Point>
        <Point>40000,240</Point>
        <Point>70000,255</Point>
    </CameraBrightnessPoints>
    <GameModeBrightnessPoints>
        <Point>0,14</Point>
        <Point>30,55</Point>
        <Point>100,75</Point>
        <Point>300,97</Point>
        <Point>1000,112</Point>
        <Point>2000,123</Point>
        <Point>5000,153</Point>
        <Point>10000,202</Point>
        <Point>40000,240</Point>
        <Point>70000,255</Point>
    </GameModeBrightnessPoints>
    <BrightenlinePointsForGameMode>
        <Point>0,2</Point>
        <Point>5,5</Point>
        <Point>10,19</Point>
        <Point>20,50</Point>
        <Point>30,100</Point>
        <Point>100,200</Point>
        <Point>500,500</Point>
        <Point>1000,989</Point>
        <Point>3000,1000</Point>
        <Point>4000,2000</Point>
        <Point>10000,2000</Point>
        <Point>20000,2000</Point>
        <Point>30000,2000</Point>
        <Point>40000,2000</Point>
        <Point>70000,2000</Point>
    </BrightenlinePointsForGameMode>
    <DarkenlinePointsForGameMode>
        <Point>0,1</Point>
        <Point>1,1</Point>
        <Point>10,10</Point>
        <Point>20,18</Point>
        <Point>50,45</Point>
        <Point>100,90</Point>
        <Point>200,190</Point>
        <Point>300,280</Point>
        <Point>500,470</Point>
        <Point>12000,11970</Point>
        <Point>40000,39970</Point>
        <Point>70000,69970</Point>
    </DarkenlinePointsForGameMode>
    <BrightnessLineForVideoFullScreenMode>
        <Point>0,11</Point>
        <Point>3,16</Point>
        <Point>20,37</Point>
        <Point>50,44</Point>
        <Point>400,65</Point>
        <Point>1000,98</Point>
        <Point>2000,123</Point>
        <Point>5000,153</Point>
        <Point>10000,202</Point>
        <Point>40000,240</Point>
        <Point>70000,255</Point>
    </BrightnessLineForVideoFullScreenMode>
    <GameModeAmbientLuxValidBrightnessPoints>
        <Point>0,8,63</Point>
        <Point>30,39,131</Point>
        <Point>100,54,148</Point>
        <Point>300,75,183</Point>
        <Point>1000,80,205</Point>
        <Point>5000,107,230</Point>
        <Point>10000,140,255</Point>
        <Point>40000,240,255</Point>
        <Point>70000,255,255</Point>
    </GameModeAmbientLuxValidBrightnessPoints>
    <OminLevelCountLevelLinePoints>
        <Point>5,6</Point>
        <Point>7,7</Point>
        <Point>11,8</Point>
        <Point>20,8</Point>
    </OminLevelCountLevelLinePoints>
    <BrightenGradualTime>4.0</BrightenGradualTime>
    <DarkenGradualTime>30.0</DarkenGradualTime>
    <CameraModeEnable>true</CameraModeEnable>
    <CameraAnimationTime>1.0</CameraAnimationTime>
    <BrightenThresholdFor255>10001</BrightenThresholdFor255>
    <DarkenTargetFor255>280</DarkenTargetFor255>
    <DarkenCurrentFor255>0</DarkenCurrentFor255>
    <AutoFastTimeFor255>0.5</AutoFastTimeFor255>
    <ManualFastTimeFor255>0.5</ManualFastTimeFor255>
    <DimTime>0.5</DimTime>
    <AnimationEqualRatioEnable>false</AnimationEqualRatioEnable>
    <ScreenBrightnessMinNit>2</ScreenBrightnessMinNit>
    <ScreenBrightnessMaxNit>700</ScreenBrightnessMaxNit>
    <MinAnimatingStep>0</MinAnimatingStep>
    <BrightenFlickerTargetMin>180</BrightenFlickerTargetMin>
    <BrightenFlickerAmountMin>20</BrightenFlickerAmountMin>
    <BrightenFlickerGradualTimeMin>2</BrightenFlickerGradualTimeMin>
    <BrightenFlickerGradualTimeMax>4</BrightenFlickerGradualTimeMax>
    <DarkenNoFlickerTargetGradualTimeMin>20</DarkenNoFlickerTargetGradualTimeMin>
    <DarkenNoFlickerTarget>650</DarkenNoFlickerTarget>
    <LinearDimmingValueTh>200</LinearDimmingValueTh>
    <BrightenTimeLongCurrentTh>350</BrightenTimeLongCurrentTh>
    <BrightenTimeLongAmountMin>200</BrightenTimeLongAmountMin>
    <BrightenGradualTimeLong>4</BrightenGradualTimeLong>
    <SecondDarkenModeNoResponseDarkenTime>15000</SecondDarkenModeNoResponseDarkenTime>
    <IsHighEqualDarkenEnable>true</IsHighEqualDarkenEnable>
    <HighEqualDarkenMinTime>6</HighEqualDarkenMinTime>
    <HighEqualDarkenMaxTime>22</HighEqualDarkenMaxTime>
    <IsLowEqualDarkenEnable>true</IsLowEqualDarkenEnable>
    <ScreenBrightnessNormalModeMaxNit>500</ScreenBrightnessNormalModeMaxNit>
    <ScreenBrightnessNormalModeMaxLevel>8824</ScreenBrightnessNormalModeMaxLevel>
    <LowEqualDarkenLevel>941</LowEqualDarkenLevel>
    <LowEqualDarkenNit>30</LowEqualDarkenNit>
    <LowEqualDarkenMinLevel>220</LowEqualDarkenMinLevel>
    <LowEqualDarkenMinTime>7</LowEqualDarkenMinTime>
    <LowEqualDarkenMaxTime>25</LowEqualDarkenMaxTime>
    <IsLowPowerMappingEnable>true</IsLowPowerMappingEnable>
    <LowPowerMappingLevel>784</LowPowerMappingLevel>
    <LowPowerMappingNit>20</LowPowerMappingNit>
    <LowPowerMappingLevelRatio>1.5</LowPowerMappingLevelRatio>
    <IsDarkenAnimatingStepForHbm>true</IsDarkenAnimatingStepForHbm>
    <MaxDarkenAnimatingStepForHbm>12</MaxDarkenAnimatingStepForHbm>
    <MinDarkenBrightnessLevelForHbm>8824</MinDarkenBrightnessLevelForHbm>
    <VariableStep>
        <DarkenGradualTimeMax>60.0f</DarkenGradualTimeMax>
        <DarkenGradualTimeMin>8.0f</DarkenGradualTimeMin>
        <AnimatedStepRoundEnabled>true</AnimatedStepRoundEnabled>
    </VariableStep>
    <Proximity>
        <AllowLabcUseProximity>false</AllowLabcUseProximity>
        <ProximityPositiveDebounceTime>20</ProximityPositiveDebounceTime>
        <ProximityNegativeDebounceTime>3000</ProximityNegativeDebounceTime>
    </Proximity>
    <IsDynamicEnableProximity>false</IsDynamicEnableProximity>
    <EnableProximityDelayTime>5</EnableProximityDelayTime>
    <DisableProximityDelayTime>20000</DisableProximityDelayTime>
    <UpdateDarkAmbientLuxDelayTime>300</UpdateDarkAmbientLuxDelayTime>
    <ManualMode>1</ManualMode>
    <ManualBrightnessMaxLimit>225</ManualBrightnessMaxLimit>
    <ManualBrightnessMinLimit>4</ManualBrightnessMinLimit>
    <OutDoorThreshold>10000</OutDoorThreshold>
    <InDoorThreshold>5000</InDoorThreshold>
    <ManualBrighenDebounceTime>3000</ManualBrighenDebounceTime>
    <ManualDarkenDebounceTime>3000</ManualDarkenDebounceTime>
    <QRCodeBrightnessminLimit>200</QRCodeBrightnessminLimit>
    <ManualBrightenLinePoints>
        <Point>0,1000</Point>
        <Point>1000,2000</Point>
        <Point>10000,2000</Point>
        <Point>30000,2000</Point>
        <Point>40000,2000</Point>
        <Point>70000,2000</Point>
    </ManualBrightenLinePoints>
    <ManualDarkenLinePoints>
        <Point>0,1</Point>
        <Point>1,1</Point>
        <Point>500,500</Point>
        <Point>1000,500</Point>
        <Point>2000,1000</Point>
        <Point>20000,10000</Point>
        <Point>40000,30000</Point>
        <Point>70000,60000</Point>
    </ManualDarkenLinePoints>
    <BrightnessMappingPoints>
        <Point>4,4</Point>
        <Point>225,225</Point>
        <Point>255,255</Point>
    </BrightnessMappingPoints>
    <AmbientLuxValidBrightnessPoints>
        <Point>0,4,34</Point>
        <Point>1,4,38</Point>
        <Point>2,7,40</Point>
        <Point>3,7,42</Point>
        <Point>4,9,44</Point>
        <Point>5,10,46</Point>
        <Point>20,24,88</Point>
        <Point>50,26,104</Point>
        <Point>400,46,192</Point>
        <Point>1000,63,202</Point>
        <Point>2000,89,225</Point>
        <Point>5000,106,240</Point>
        <Point>10000,140,255</Point>
        <Point>40000,225,255</Point>
        <Point>70000,240,255</Point>
    </AmbientLuxValidBrightnessPoints>
    <BackSensorCoverModeBrighnessLinePoints>
        <Point>0,17</Point>
        <Point>5,19</Point>
        <Point>10,27</Point>
        <Point>20,49</Point>
        <Point>100,81</Point>
        <Point>300,100</Point>
        <Point>500,113</Point>
        <Point>1000,150</Point>
        <Point>2000,197</Point>
        <Point>5000,225</Point>
        <Point>10000,255</Point>
        <Point>40000,255</Point>
        <Point>70000,255</Point>
    </BackSensorCoverModeBrighnessLinePoints>
    <BackSensorCoverModeMinLuxInRing>100</BackSensorCoverModeMinLuxInRing>
    <CryogenicEnable>true</CryogenicEnable>
    <CryogenicModeBrightnessMappingEnable>true</CryogenicModeBrightnessMappingEnable>
    <CryogenicMaxBrightnessTimeOut>6000</CryogenicMaxBrightnessTimeOut>
    <CryogenicActiveScreenOffIntervalInMillis>1800000</CryogenicActiveScreenOffIntervalInMillis>
    <CryogenicLagTimeInMillis>1800000</CryogenicLagTimeInMillis>
    <TouchProximity>
        <Enable>true</Enable>
        <YRatioMin>0</YRatioMin>
        <YRatioMax>0.4</YRatioMax>
    </TouchProximity>
    <LandScapeBrightnessModeEnable>true</LandScapeBrightnessModeEnable>
    <LandScapeModeBrightenDebounceTime>1000</LandScapeModeBrightenDebounceTime>
    <LandScapeModeDarkenDebounceTime>10000</LandScapeModeDarkenDebounceTime>
    <LandScapeModeEnterDelayTime>100</LandScapeModeEnterDelayTime>
    <LandScapeModeQuitDelayTime>500</LandScapeModeQuitDelayTime>
    <LandScapeModeUseTouchProximity>true</LandScapeModeUseTouchProximity>
    <BrightenlinePointsForLandScapeMode>
        <Point>0,2</Point>
        <Point>5,5</Point>
        <Point>10,19</Point>
        <Point>20,50</Point>
        <Point>30,100</Point>
        <Point>100,200</Point>
        <Point>500,300</Point>
        <Point>1000,989</Point>
        <Point>3000,1000</Point>
        <Point>4000,2000</Point>
        <Point>10000,2000</Point>
        <Point>20000,2000</Point>
        <Point>30000,2000</Point>
        <Point>40000,2000</Point>
        <Point>70000,2000</Point>
    </BrightenlinePointsForLandScapeMode>
    <DarkenlinePointsForLandScapeMode>
        <Point>0,1</Point>
        <Point>1,1</Point>
        <Point>10,10</Point>
        <Point>20,18</Point>
        <Point>50,45</Point>
        <Point>100,90</Point>
        <Point>200,180</Point>
        <Point>300,270</Point>
        <Point>500,450</Point>
        <Point>600,500</Point>
        <Point>1200,900</Point>
        <Point>1800,1200</Point>
        <Point>4000,3000</Point>
        <Point>8000,6000</Point>
        <Point>12000,10000</Point>
        <Point>20000,15000</Point>
        <Point>40000,30000</Point>
        <Point>70000,60000</Point>
    </DarkenlinePointsForLandScapeMode>
    <ResetAmbientLuxEnable>true</ResetAmbientLuxEnable>
    <ResetAmbientLuxTh>15</ResetAmbientLuxTh>
    <ResetAmbientLuxThMin>3</ResetAmbientLuxThMin>
    <ResetAmbientLuxDarkenDebounceTime>1400</ResetAmbientLuxDarkenDebounceTime>
    <ResetAmbientLuxBrightenDebounceTime>1000</ResetAmbientLuxBrightenDebounceTime>
    <ResetAmbientLuxFastDarkenValidTime>5000</ResetAmbientLuxFastDarkenValidTime>
    <ResetAmbientLuxDarkenRatio>0.4</ResetAmbientLuxDarkenRatio>
    <ResetAmbientLuxGraTime>0</ResetAmbientLuxGraTime>
    <ResetAmbientLuxFastDarkenDimmingTime>3</ResetAmbientLuxFastDarkenDimmingTime>
    <ResetAmbientLuxStartBrightness>50</ResetAmbientLuxStartBrightness>
    <ResetAmbientLuxThMax>150</ResetAmbientLuxThMax>
    <ResetAmbientLuxStartBrightnessMax>100</ResetAmbientLuxStartBrightnessMax>
    <ResetAmbientLuxDisableBrightnessOffset>45</ResetAmbientLuxDisableBrightnessOffset>
    <LuxlinePointsForBrightnessLevelEnable>true</LuxlinePointsForBrightnessLevelEnable>
    <BrightnessChageUpDelayTime>60</BrightnessChageUpDelayTime>
    <BrightnessChageDownDelayTime>1000</BrightnessChageDownDelayTime>
    <BrightnessChageDefaultDelayTime>1300</BrightnessChageDefaultDelayTime>
    <BrightenlinePointsForBrightnessLevel>
        <Point>4,1</Point>
        <Point>10,1</Point>
        <Point>17,2</Point>
        <Point>36,5</Point>
        <Point>64,10</Point>
        <Point>100,26</Point>
        <Point>225,77</Point>
        <Point>255,80</Point>
    </BrightenlinePointsForBrightnessLevel>
    <DarkenlinePointsForBrightnessLevel>
        <Point>4,0</Point>
        <Point>10,1</Point>
        <Point>17,1</Point>
        <Point>36,3</Point>
        <Point>64,10</Point>
        <Point>100,20</Point>
        <Point>225,50</Point>
        <Point>255,80</Point>
    </DarkenlinePointsForBrightnessLevel>
    <BrightnessLevelToNitMappingEnable>true</BrightnessLevelToNitMappingEnable>
    <BrightnessLevelToNitLinePoints>
        <Point>4,2</Point>
        <Point>20,20</Point>
        <Point>225,500</Point>
        <Point>255,700</Point>
    </BrightnessLevelToNitLinePoints>
    <SecondDarkenModeEanble>true</SecondDarkenModeEanble>
    <SecondDarkenModeMinLuxTh>5</SecondDarkenModeMinLuxTh>
    <SecondDarkenModeMaxLuxTh>10</SecondDarkenModeMaxLuxTh>
    <SecondDarkenModeDarkenDeltaLuxRatio>0.5</SecondDarkenModeDarkenDeltaLuxRatio>
    <SecondDarkenModeDarkenDebounceTime>21000</SecondDarkenModeDarkenDebounceTime>
    <BrightnessOffsetLuxModeEnable>false</BrightnessOffsetLuxModeEnable>
    <BrightenOffsetLuxTh1>3</BrightenOffsetLuxTh1>
    <BrightenOffsetLuxTh2>30</BrightenOffsetLuxTh2>
    <BrightenOffsetLuxTh3>1000</BrightenOffsetLuxTh3>
    <BrightenOffsetNoValidDarkenLuxTh1>0</BrightenOffsetNoValidDarkenLuxTh1>
    <BrightenOffsetNoValidDarkenLuxTh2>0</BrightenOffsetNoValidDarkenLuxTh2>
    <BrightenOffsetNoValidDarkenLuxTh3>3</BrightenOffsetNoValidDarkenLuxTh3>
    <BrightenOffsetNoValidDarkenLuxTh4>20</BrightenOffsetNoValidDarkenLuxTh4>
    <BrightenOffsetNoValidBrightenLuxTh1>20</BrightenOffsetNoValidBrightenLuxTh1>
    <BrightenOffsetNoValidBrightenLuxTh2>500</BrightenOffsetNoValidBrightenLuxTh2>
    <BrightenOffsetNoValidBrightenLuxTh3>10000</BrightenOffsetNoValidBrightenLuxTh3>
    <BrightenOffsetNoValidBrightenLuxTh4>40000</BrightenOffsetNoValidBrightenLuxTh4>
    <DarkenOffsetLuxTh1>2</DarkenOffsetLuxTh1>
    <DarkenOffsetLuxTh2>30</DarkenOffsetLuxTh2>
    <DarkenOffsetLuxTh3>1000</DarkenOffsetLuxTh3>
    <DarkenOffsetNoValidBrightenLuxTh1>3</DarkenOffsetNoValidBrightenLuxTh1>
    <DarkenOffsetNoValidBrightenLuxTh2>500</DarkenOffsetNoValidBrightenLuxTh2>
    <DarkenOffsetNoValidBrightenLuxTh3>10000</DarkenOffsetNoValidBrightenLuxTh3>
    <DarkenOffsetNoValidBrightenLuxTh4>40000</DarkenOffsetNoValidBrightenLuxTh4>
    <BrightenOffsetEffectMinLuxEnable>true</BrightenOffsetEffectMinLuxEnable>
    <BrightnessOffsetTmpValidEnable>false</BrightnessOffsetTmpValidEnable>
    <BrightenOffsetNoValidSavedLuxTh1>0</BrightenOffsetNoValidSavedLuxTh1>
    <BrightenOffsetNoValidSavedLuxTh2>5</BrightenOffsetNoValidSavedLuxTh2>
    <TwoPointOffsetModeEnable>true</TwoPointOffsetModeEnable>
    <TwoPointOffsetLuxTh>50</TwoPointOffsetLuxTh>
    <TwoPointOffsetAdjionLuxTh>45</TwoPointOffsetAdjionLuxTh>
    <TwoPointOffsetNoValidLuxTh>50</TwoPointOffsetNoValidLuxTh>
    <LowBrightenOffsetNoValidBrightenLuxTh>500</LowBrightenOffsetNoValidBrightenLuxTh>
    <LowDarkenOffsetNoValidBrightenLuxTh>500</LowDarkenOffsetNoValidBrightenLuxTh>
    <LowBrightenOffsetNoValidDarkenLuxTh>0</LowBrightenOffsetNoValidDarkenLuxTh>
    <LowDarkenOffsetNoValidDarkenLuxTh>0</LowDarkenOffsetNoValidDarkenLuxTh>
    <LowDarkenOffsetDarkenBrightnessRatio>0.25</LowDarkenOffsetDarkenBrightnessRatio>
    <HighBrightenOffsetNoValidBrightenLuxTh>10000</HighBrightenOffsetNoValidBrightenLuxTh>
    <HighDarkenOffsetNoValidBrightenLuxTh>10000</HighDarkenOffsetNoValidBrightenLuxTh>
    <HighBrightenOffsetNoValidDarkenLuxTh>10</HighBrightenOffsetNoValidDarkenLuxTh>
    <HighDarkenOffsetNoValidDarkenLuxTh>10</HighDarkenOffsetNoValidDarkenLuxTh>
    <DarkModeEnable>true</DarkModeEnable>
    <DarkModeOffsetMinBrightness>5</DarkModeOffsetMinBrightness>
    <IsDarkModeCurveEnable>true</IsDarkModeCurveEnable>
    <BrightnessLineForDarkMode>
        <Point>0,5</Point>
        <Point>1,10</Point>
        <Point>2,14</Point>
        <Point>3,17</Point>
        <Point>4,19</Point>
        <Point>5,20</Point>
        <Point>20,37</Point>
        <Point>50,44</Point>
        <Point>400,65</Point>
        <Point>1000,98</Point>
        <Point>2000,123</Point>
        <Point>5000,153</Point>
        <Point>10000,202</Point>
        <Point>40000,240</Point>
        <Point>70000,255</Point>
    </BrightnessLineForDarkMode>
    <LuxMinMaxBrightnessEnable>true</LuxMinMaxBrightnessEnable>
    <LuxMinMaxBrightnessPoints>
        <Point>0,4,255</Point>
        <Point>30,4,255</Point>
        <Point>60,4,255</Point>
        <Point>100,8,255</Point>
        <Point>300,8,255</Point>
        <Point>800,10,255</Point>
        <Point>1000,12,255</Point>
        <Point>2000,33,255</Point>
        <Point>10000,38,255</Point>
        <Point>40000,63,255</Point>
        <Point>70000,89,255</Point>
    </LuxMinMaxBrightnessPoints>
    <FrontCameraMaxBrightnessEnable>false</FrontCameraMaxBrightnessEnable>
    <FrontCameraLuxThreshold>20</FrontCameraLuxThreshold>
    <FrontCameraBrightenLuxThreshold>100</FrontCameraBrightenLuxThreshold>
    <FrontCameraDarkenLuxThreshold>20</FrontCameraDarkenLuxThreshold>
    <FrontCameraBrighenDebounceTime>3000</FrontCameraBrighenDebounceTime>
    <FrontCameraDarkenDebounceTime>3000</FrontCameraDarkenDebounceTime>
    <FrontCameraMaxBrightness>102</FrontCameraMaxBrightness>
    <BrightnessMappingForWindowBrightnessEnable>true</BrightnessMappingForWindowBrightnessEnable>
    <BrightnessMappingPointsForWindowBrightness>
        <Point>4,4</Point>
        <Point>45,45</Point>
        <Point>64,59</Point>
        <Point>179,97</Point>
        <Point>191,106</Point>
        <Point>204,114</Point>
        <Point>217,123</Point>
        <Point>230,140</Point>
        <Point>242,161</Point>
        <Point>255,225</Point>
    </BrightnessMappingPointsForWindowBrightness>
    <HdrModeEnable>true</HdrModeEnable>
    <HdrModeCurveEnable>true</HdrModeCurveEnable>
    <HdrModeWindowMappingEnable>true</HdrModeWindowMappingEnable>
    <BrightnessMappingPointsForHdrMode>
        <Point>4,4</Point>
        <Point>45,45</Point>
        <Point>64,59</Point>
        <Point>179,97</Point>
        <Point>191,106</Point>
        <Point>204,114</Point>
        <Point>217,123</Point>
        <Point>230,140</Point>
        <Point>242,161</Point>
        <Point>255,255</Point>
    </BrightnessMappingPointsForHdrMode>
    <BrightnessLineForHdrMode>
        <Point>0,13</Point>
        <Point>1,13</Point>
        <Point>3,16</Point>
        <Point>20,37</Point>
        <Point>50,44</Point>
        <Point>400,65</Point>
        <Point>1000,98</Point>
        <Point>2000,123</Point>
        <Point>5000,153</Point>
        <Point>10000,202</Point>
        <Point>40000,240</Point>
        <Point>70000,255</Point>
    </BrightnessLineForHdrMode>
    <DcModeEnable>true</DcModeEnable>
    <DcModeBrightenDebounceTime>1000</DcModeBrightenDebounceTime>
    <DcModeDarkenDebounceTime>1000</DcModeDarkenDebounceTime>
    <DcModeLuxThresholdEnable>true</DcModeLuxThresholdEnable>
    <BrightenlinePointsForDcMode>
        <Point>0,4</Point>
        <Point>3,4</Point>
        <Point>5,5</Point>
        <Point>10,19</Point>
        <Point>20,89</Point>
        <Point>30,200</Point>
        <Point>100,439</Point>
        <Point>500,739</Point>
        <Point>1000,989</Point>
        <Point>3000,1000</Point>
        <Point>4000,2000</Point>
        <Point>10000,2000</Point>
        <Point>20000,2000</Point>
        <Point>30000,2000</Point>
        <Point>40000,2000</Point>
        <Point>70000,2000</Point>
    </BrightenlinePointsForDcMode>
    <DarkenlinePointsForDcMode>
        <Point>0,1</Point>
        <Point>1,2</Point>
        <Point>2,2</Point>
        <Point>3,2</Point>
        <Point>4,3</Point>
        <Point>5,4</Point>
        <Point>6,5</Point>
        <Point>10,7</Point>
        <Point>20,15</Point>
        <Point>50,35</Point>
        <Point>100,80</Point>
        <Point>200,170</Point>
        <Point>300,225</Point>
        <Point>500,273</Point>
        <Point>600,322</Point>
        <Point>1200,600</Point>
        <Point>1800,600</Point>
        <Point>4000,2000</Point>
        <Point>8000,4000</Point>
        <Point>12000,6000</Point>
        <Point>20000,10000</Point>
        <Point>40000,30000</Point>
        <Point>70000,50000</Point>
    </DarkenlinePointsForDcMode>
    <MaxValidAmbientLux>70000</MaxValidAmbientLux>
</LABCConfig>
